OVH Community, votre nouvel espace communautaire.

[MySQL - le Vilain pas BEAU]


stanleyjobson2
14/08/2007, 22h38
J'ai le même problème, quelqu'un pourrait m'indiquer comment appliquer cette solution ?


Merci

xion
15/05/2004, 18h58
merci beaucoup... j'avais pas remarqué ça... et c'est vrai que c'est plus intelligent... (que suis-je bête ), je vais essayer de désinstaller et de réinstaller, mais je voudrais quand même avoir des renseignements sur la cause et la résolution de mon problème, svp

Olivier_T
14/05/2004, 11h14
Bonjour,

Ce qui est installé sur la machine, ce n'est pas le paquet machin.rpm, mais le programme machin.

Il faut donc désinstaller machin et non machin.rpm

Olive

xion
12/05/2004, 16h10
Peut-être pourriez-vous déjà m'aider pour remettre en ordre MySQL qui est déjà installé...

j'ai lu ça : http://guides.ovh.com/MysqlProblemesEtSolutions/

j'ai fait "à la lettre" tout ce qui y était dit....
mais ça change rien, j'ai toujours le deuxième message d'erreur... (de type 2002)

ERROR 2002: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
de plus, je liste le dossier var/lib :

[root@ns30869 /]# ls var/lib
games logrotate.status misc mysql pgsql random-seed rpm slocate
le dossier MySQL est en caractère blancs, et fond rouge... c'est normal ça ???

et finalement :

[root@ns30869 /]# ls var/lib/mysql
var/lib/mysql

xion
12/05/2004, 16h04
Voilà, j'ai PHP et Apache, qui ont l'air d'aller bien, mais MySQL (en version 4) ne marche pas, mais alors pas du TOUT !!!

Et le pire, c'est que j'ai beau utiliser les aides des guides, rien ne peut m'aider là....

Je me suis dit :
-on a des RPMs, ils ont l'air de bien marcher, alors on va les installer...
...OK, jusque là, tout est normal...
mais voici ce que je fais (et le "bug" qui en découle) :

[root@ns30869 soft]# rpm -qa |grep MySQL
MySQL-server-4.0.18-0
MySQL-shared-4.0.18-0
MySQL-shared-compat-4.0.18-0
MySQL-client-4.0.18-0
MySQL-devel-4.0.18-0
MySQL-embedded-4.0.18-0
[root@ns30869 soft]# rpm -e MySQL*
error: package MySQL-bench-4.0.18-0.i386.rpm is not installed
error: package MySQL-client-4.0.18-0.i386.rpm is not installed
error: package MySQL-devel-4.0.18-0.i386.rpm is not installed
error: package MySQL-embedded-4.0.18-0.i386.rpm is not installed
error: package MySQL-server-4.0.18-0.i386.rpm is not installed
error: package MySQL-shared-4.0.18-0.i386.rpm is not installed
error: package MySQL-shared-compat-4.0.18-0.i386.rpm is not installed
[root@ns30869 soft]# rpm -Uvh MySQL*
Preparing... ########################################### [100%]
package MySQL-client-4.0.18-0 is already installed
package MySQL-devel-4.0.18-0 is already installed
package MySQL-embedded-4.0.18-0 is already installed
package MySQL-server-4.0.18-0 is already installed
package MySQL-shared-4.0.18-0 is already installed
package MySQL-shared-compat-4.0.18-0 is already installed

Dites-moi, c'est normal ça ????
D'abord, on me dit qu'ils sont déjà installés, alors je vais les supprimer, puis on me dit qu'ils ne le sont pas, donc je vais les installer, et hop, on me dis qu'ils le sont déjà... mais que dois-je faire ?????